#!/bin/csh

#the baseline correction done using FLATT, included in the SMILE plug-in

/bin/rm -fr ft

foreach n (`seq 1 2`)

   set inName=(`printf fid/test%03d.fid $n`)
   set outName=(`printf ft/test%03d.ft3 $n`)

   xyz2pipe -in $inName                                       \
   | nmrPipe  -fn POLY -time                                  \
   | nmrPipe  -fn SP -off 0.4 -end 0.98 -pow 2 -elb 15 -c 0.5 \
   | nmrPipe  -fn ZF -zf 1 -auto                              \
   | nmrPipe  -fn FT                                          \
   | nmrPipe  -fn PS -p0 -118.6 -p1 0 -di                     \
   | nmrPipe  -fn EXT -x1 11.2ppm -xn 5.5ppm -sw              \
   | nmrPipe  -fn ZTP                                         \
   | nmrPipe  -fn TP                                          \
   | nmrPipe  -fn SMILE -sample nuslist -sampleCount 5347     \
                  -thresh 0.98 -report 2                      \
                  -xP0 0 -xP1 0 -xCT 46 -xQ3 2                \
                  -yP0 90 -yP1 180 -yQ3 2 -yAlt               \
   | nmrPipe  -fn ZF -zf 2 -auto                              \
   | nmrPipe  -fn FT                                          \
   | nmrPipe  -fn PS -p0 0 -p1 0 -di                          \
   | nmrPipe  -fn TP                                          \
   | nmrPipe  -fn ZF -zf 2 -auto                              \
   | nmrPipe  -fn FT -alt                                     \
   | nmrPipe  -fn PS -p0 90 -p1 180 -di                       \
   | nmrPipe  -fn TP                                          \
   | nmrPipe  -fn ZTP                                         \
   | nmrPipe  -fn FLATT -first -last                          \
   | pipe2xyz -out $outName -ov

end


proj3D.tcl -in ft/test001.ft3


